@ng-bootstrap/ng-bootstrap versions and peer dependencies

The table below has a list of all versions of @ng-bootstrap/ng-bootstrap compatible peers dependencies.

Version Peer Dependency Versions
1.0.0 - 1.1.0
  • @angular/core @ ^5.0.2
  • @angular/common @ ^5.0.2
  • @angular/forms @ ^5.0.2
1.1.1 - 1.1.2
  • @angular/common @ ^5.0.2
  • @angular/core @ ^5.0.2
  • @angular/forms @ ^5.0.2
2.0.0 - 2.2.2
  • @angular/common @ ^6.0.0
  • @angular/core @ ^6.0.0
  • @angular/forms @ ^6.0.0
  • rxjs @ ^6.0.0
3.0.0 - 3.3.1
  • @angular/common @ ^6.1.0
  • @angular/core @ ^6.1.0
  • @angular/forms @ ^6.1.0
  • rxjs @ ^6.0.0
4.0.0 - 4.2.2
  • @angular/common @ ^7.0.0
  • @angular/core @ ^7.0.0
  • @angular/forms @ ^7.0.0
  • rxjs @ ^6.3.0
5.0.0 - 5.3.1
  • @angular/common @ ^8.0.0
  • @angular/core @ ^8.0.0
  • @angular/forms @ ^8.0.0
  • rxjs @ ^6.4.0
6.0.0 - 6.2.0
  • @angular/common @ ^9.0.0
  • @angular/core @ ^9.0.0
  • @angular/forms @ ^9.0.0
  • @angular/localize @ ^9.0.0
  • rxjs @ ^6.5.3
  • tslib @ ^1.10.0
8.0.0 - 8.0.4
  • @angular/common @ ^10.0.0
  • @angular/core @ ^10.0.0
  • @angular/forms @ ^10.0.0
  • @angular/localize @ ^10.0.0
  • rxjs @ ^6.5.5
9.0.0 - 9.0.2
  • @angular/common @ ^11.0.0
  • @angular/core @ ^11.0.0
  • @angular/forms @ ^11.0.0
  • @angular/localize @ ^11.0.0
  • rxjs @ ^6.5.5